Subject: Re: [PATCH net-next] net ipv4: Convert ipv4.ip_local_port_range to be per netns

From: [email-masked] (Eric W. Biederman)
Date: Sat, 28 Sep 2013 13:32:38 -0700

David Miller <[email-masked]> writes:

> From: David Miller <[email-masked]>
> Date: Sat, 28 Sep 2013 15:52:28 -0400 (EDT)
>
>> From: [email-masked] (Eric W. Biederman)
>> Date: Sun, 22 Sep 2013 23:27:30 -0700
>> 
>>> 
>>> - Move sysctl_local_ports from a global variable into struct netns_ipv4.
>>> - Modify inet_get_local_port_range to take a struct net.
>>> - Manually expand inet_get_local_range into ipv4_local_port_range
>>>   because I do not know the struct net.
>>> - Move the initialization of sysctl_local_ports into
>>>   sysctl_net_ipv4.c:ipv4_sysctl_init_net from inet_connection_sock.c
>>> 
>>> Originally-by: Samya <[email-masked]>
>>> Signed-off-by: "Eric W. Biederman" <[email-masked]>
>> 
>> Applied.
>
> I had to revert, you didn't throughly build test this.

My apologies, I was pushing a little too hard that day.  v3 will be
coming with the fix.

> security/selinux/hooks.c: In function ‘selinux_socket_bind’:
> security/selinux/hooks.c:3933:4: error: incompatible type for argument 1 of ‘inet_get_local_port_range’
> In file included from security/selinux/hooks.c:53:0:
> include/net/ip.h:206:6: note: expected ‘struct net *’ but argument is of type ‘struct lsm_network_audit’
>
> And when you repost make sure to deal with the space vs. TAB
> issues pointed out to you.

Definitely.

Eric